Get programmes & classes

Returns a paginated list of all programmes, each including its full list of associated classes. Use limit and skip to page through results.

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    Maximum number of objects to return. Range: 1–1000.

  • skip
    Type: integer
    min:  
    0

    Number of objects to skip for pagination.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/institutions/programmes
curl 'https://ff-business-school.fullfabric.cloud/apis/institutions/programmes?limit=10&skip=0' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6385baad976a771912000918",
    "external_id": "MBA-FT-001",
    "name": "MBA Full-Time",
    "created_at": 1669708461,
    "updated_at": 1710392052,
    "theme": {
      "id": "614d9b0a3b5d005eac000139",
      "external_id": "101",
      "name": "Finance"
    },
    "classes": [
      {
        "id": "6385bb46976a771912003e6a",
        "external_id": null,
        "programme_id": "6385baad976a771912000918",
        "name_with_programme": "MBA Full-Time September 2025",
        "name": "Class of 2025",
        "custom_name": "September 2025",
        "owner_id": null,
        "price_currency": "EUR",
        "price_amount": 45000,
        "opens_on": 1704067200,
        "closes_on": 1719705600,
        "starts_on": 1727740800,
        "ends_on": 1788220800,
        "state": "open",
        "state_auto_mode": true,
        "minimum_capacity": 20,
        "maximum_capacity": 60,
        "target_capacity": 45,
        "campuses": [
          {
            "id": "5ff317ba9a52af08c10009ca",
            "name": "London"
          }
        ]
      }
    ]
  },
  {
    "id": "63a316cc9a52af0e2f000579",
    "external_id": "EMBA-001",
    "name": "Executive MBA",
    "created_at": 1671632588,
    "updated_at": 1710233524,
    "theme": {
      "id": "614d9b2b6ab7285d4c0000f3",
      "external_id": "102",
      "name": "Management"
    },
    "classes": [
      {
        "id": "63a317fd9a52af198700007e",
        "external_id": null,
        "programme_id": "63a316cc9a52af0e2f000579",
        "name_with_programme": "Executive MBA January 2026",
        "name": "EMBA January 2026",
        "custom_name": "January 2026",
        "owner_id": "639861c93b5d0046400002ad",
        "price_currency": "EUR",
        "price_amount": 58000,
        "opens_on": 1727740800,
        "closes_on": 1735603200,
        "starts_on": 1738368000,
        "ends_on": 1798848000,
        "state": "open",
        "state_auto_mode": true,
        "minimum_capacity": 15,
        "maximum_capacity": 40,
        "target_capacity": 30,
        "campuses": [
          {
            "id": "5ff317ba9a52af08c10009ca",
            "name": "London"
          },
          {
            "id": "5ff317c19a52af390c000395",
            "name": "Paris"
          }
        ]
      }
    ]
  }
]